CreateTestStep
curl --request POST \
--url https://api.siftstack.com/api/v1/test-steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testStep": {
"testStepId": "<string>",
"testReportId": "<string>",
"name": "<string>",
"stepType": "TEST_STEP_TYPE_UNSPECIFIED",
"stepPath": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"parentStepId": "<string>",
"description": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
'import requests
url = "https://api.siftstack.com/api/v1/test-steps"
payload = { "testStep": {
"testStepId": "<string>",
"testReportId": "<string>",
"name": "<string>",
"stepType": "TEST_STEP_TYPE_UNSPECIFIED",
"stepPath": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"parentStepId": "<string>",
"description": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-steps"
payload := strings.NewReader("{\n \"testStep\": {\n \"testStepId\": \"<string>\",\n \"testReportId\": \"<string>\",\n \"name\": \"<string>\",\n \"stepType\": \"TEST_STEP_TYPE_UNSPECIFIED\",\n \"stepPath\": \"<string>\",\n \"status\": \"TEST_STATUS_UNSPECIFIED\",\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"endTime\": \"2023-11-07T05:31:56Z\",\n \"parentStepId\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testStep": {
"testStepId": "<string>",
"testReportId": "<string>",
"name": "<string>",
"stepType": "TEST_STEP_TYPE_UNSPECIFIED",
"stepPath": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"parentStepId": "<string>",
"description": "<string>",
"errorInfo": {
"errorCode": 123,
"errorMessage": "<string>"
},
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}TestReportService
CreateTestStep
Creates a test step
POST
/
api
/
v1
/
test-steps
CreateTestStep
curl --request POST \
--url https://api.siftstack.com/api/v1/test-steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"testStep": {
"testStepId": "<string>",
"testReportId": "<string>",
"name": "<string>",
"stepType": "TEST_STEP_TYPE_UNSPECIFIED",
"stepPath": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"parentStepId": "<string>",
"description": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}
'import requests
url = "https://api.siftstack.com/api/v1/test-steps"
payload = { "testStep": {
"testStepId": "<string>",
"testReportId": "<string>",
"name": "<string>",
"stepType": "TEST_STEP_TYPE_UNSPECIFIED",
"stepPath": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"parentStepId": "<string>",
"description": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-steps"
payload := strings.NewReader("{\n \"testStep\": {\n \"testStepId\": \"<string>\",\n \"testReportId\": \"<string>\",\n \"name\": \"<string>\",\n \"stepType\": \"TEST_STEP_TYPE_UNSPECIFIED\",\n \"stepPath\": \"<string>\",\n \"status\": \"TEST_STATUS_UNSPECIFIED\",\n \"startTime\": \"2023-11-07T05:31:56Z\",\n \"endTime\": \"2023-11-07T05:31:56Z\",\n \"parentStepId\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testStep": {
"testStepId": "<string>",
"testReportId": "<string>",
"name": "<string>",
"stepType": "TEST_STEP_TYPE_UNSPECIFIED",
"stepPath": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"parentStepId": "<string>",
"description": "<string>",
"errorInfo": {
"errorCode": 123,
"errorMessage": "<string>"
},
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I